Zum Inhalt

Create unitOfMeasure

Create a unitOfMeasure object in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

POST {businesscentralPrefix}/companies({id})/unitsOfMeasureWebCon

Request headers

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json
If-Match Required. When this request header is included and the eTag provided does not match the current tag on the unitOfMeasure, the unitOfMeasure will not be updated.

Request body

In the request body, supply a JSON representation of unitOfMeasureWebCon object.

Response

If successful, this method returns 201 Created response code and a unit of measure object in the response body.

Example

Request

Here is an example of a request.

POST https://{businesscentralPrefix}/companies({id})/unitsOfMeasureWebCon
Content-type: application/json

{
    "code": "DOSE",
    "displayName": "Dose",
    "internationalStandardCode": "CA",
    "symbol": "",
    "lastModifiedDateTime": "2024-10-09T08:59:24.823Z"
}

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "code": "DOSE",
    "displayName": "Dose",
    "internationalStandardCode": "CA",
    "symbol": "",
    "lastModifiedDateTime": "2024-10-09T08:59:24.823Z"
}

See also

Tips for working with the APIs
unitOfMeasure
Get unitOfMeasure
Delete unitOfMeasure
Update unitOfMeasure